Error while installing software coolercontrol with yay

Coolercontrol stopped running when I start Manj.
The odd thing was that suddenly autostart said it would open the program with a text editor, it did not but it was still weird. When I start coolercontrol from the shortcut in the startmenu nothing happens.

When I try to update or reinstall coolercontrol via yay -S coolercontrol I get following error and dont know what I need to do:

 -> Failed to install the following packages. Manual intervention is required:
coolercontrol - exit status 4

Error no module named "dataclass_wizard"

I barely know what to do so if you can help please bear in mind that I have next to zero Linux knowledge. I just installed what I needed. Sometimes software stops to work like in this case. All I do is update Manj.

Operating System: Manjaro Linux 
KDE Plasma Version: 5.27.7
KDE Frameworks Version: 5.109.0
Qt Version: 5.15.10
Kernel Version: 5.15.128-1-MANJARO (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-9700K CPU @ 3.60GHz
Memory: 15,6 GiB of RAM
Graphics Processor: NVIDIA GeForce RTX 2080/PCIe/SSE2
Manufacturer: Gigabyte Technology Co., Ltd.
Product Name: Z390 AORUS PRO

The full install log:

yay -S coolercontrol                                                                           ✔ 
AUR Explicit (1): coolercontrol-0.17.0-1
:: PKGBUILD up to date, skipping download: coolercontrol
  1 coolercontrol                            (Installed) (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> a
:: Deleting (1/1): /home/fred/.cache/yay/coolercontrol
HEAD is now at 6f56a8f 0.17.0-1
warning: could not open directory 'pkg/': Permission denied
Removing coolercontrol-0.17.0.tar.gz
Removing pkg/
Removing src/
  1 coolercontrol                            (Installed) (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> a       
 -> coolercontrol: No changes -- skipping

:: Proceed with install? [Y/n] y
==> Making package: coolercontrol 0.17.0-1 (Mi 06 Sep 2023 20:51:10)
==> Retrieving sources...
  -> Downloading coolercontrol-0.17.0.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 45.1M    0 45.1M    0     0  9101k      0 --:--:--  0:00:05 --:--:-- 9527k
==> WARNING: Skipping verification of source file PGP signatures.
==> Validating source files with sha256sums...
    coolercontrol-0.17.0.tar.gz ... Passed
:: (1/1) Parsing SRCINFO: coolercontrol
==> Making package: coolercontrol 0.17.0-1 (Mi 06 Sep 2023 20:51:16)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found coolercontrol-0.17.0.tar.gz
==> Validating source files with sha256sums...
    coolercontrol-0.17.0.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting coolercontrol-0.17.0.tar.gz with bsdtar
==> Sources are ready.
==> Making package: coolercontrol 0.17.0-1 (Mi 06 Sep 2023 20:51:19)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting build()...
* Getting build dependencies for wheel...
* Building wheel...
Successfully built coolercontrol-0.17.0-py3-none-any.whl
* Getting build dependencies for wheel...
* Building wheel...
Successfully built coolercontrol_liqctld-0.17.0-py3-none-any.whl
   Compiling proc-macro2 v1.0.64
   Compiling quote v1.0.29
   Compiling unicode-ident v1.0.9
   Compiling libc v0.2.147
   Compiling autocfg v1.1.0
   Compiling cfg-if v1.0.0
   Compiling memchr v2.5.0
   Compiling once_cell v1.17.1
   Compiling version_check v0.9.4
   Compiling pin-project-lite v0.2.9
   Compiling value-bag v1.4.1
   Compiling futures-core v0.3.28
   Compiling bitflags v1.3.2
   Compiling bytes v1.4.0
   Compiling log v0.4.19
   Compiling lock_api v0.4.9
   Compiling serde v1.0.171
   Compiling pin-utils v0.1.0
   Compiling parking_lot_core v0.9.7
   Compiling syn v2.0.26
   Compiling jobserver v0.1.26
   Compiling smallvec v1.10.0
   Compiling syn v1.0.109
   Compiling cc v1.0.79
   Compiling futures-sink v0.3.28
   Compiling scopeguard v1.1.0
   Compiling tokio v1.29.1
   Compiling slab v0.4.8
   Compiling futures-task v0.3.28
   Compiling futures-channel v0.3.28
   Compiling futures-util v0.3.28
   Compiling typenum v1.16.0
   Compiling num_cpus v1.15.0
   Compiling signal-hook-registry v1.4.1
   Compiling parking_lot v0.12.1
   Compiling socket2 v0.4.9
   Compiling mio v0.8.6
   Compiling generic-array v0.14.7
   Compiling tracing-core v0.1.31
   Compiling futures-io v0.3.28
   Compiling itoa v1.0.6
   Compiling ring v0.16.20
   Compiling getrandom v0.2.9
   Compiling subtle v2.5.0
   Compiling thiserror v1.0.40
   Compiling spin v0.5.2
   Compiling untrusted v0.7.1
   Compiling fnv v1.0.7
   Compiling http v0.2.9
   Compiling indexmap v1.9.3
   Compiling io-lifetimes v1.0.11
   Compiling hashbrown v0.14.0
   Compiling equivalent v1.0.1
   Compiling pkg-config v0.3.27
   Compiling simd-adler32 v0.3.5
   Compiling crc32fast v1.3.2
   Compiling crypto-common v0.1.6
   Compiling block-buffer v0.10.4
   Compiling indexmap v2.0.0
   Compiling digest v0.10.7
   Compiling zstd-sys v2.0.8+zstd.1.5.5
   Compiling aho-corasick v1.0.1
   Compiling memoffset v0.7.1
   Compiling ahash v0.8.3
   Compiling cpufeatures v0.2.7
   Compiling winnow v0.5.0
   Compiling percent-encoding v2.2.0
   Compiling adler v1.0.2
   Compiling static_assertions v1.1.0
   Compiling hashbrown v0.12.3
   Compiling regex-syntax v0.7.4
   Compiling toml_datetime v0.6.3
   Compiling httparse v1.8.0
   Compiling rustix v0.37.19
   Compiling miniz_oxide v0.7.1
   Compiling num-traits v0.2.15
   Compiling linux-raw-sys v0.3.8
   Compiling toml_edit v0.19.14
   Compiling paste v1.0.12
   Compiling serde_derive v1.0.171
   Compiling tokio-macros v2.1.0
   Compiling futures-macro v0.3.28
   Compiling tracing-attributes v0.1.24
   Compiling thiserror-impl v1.0.40
   Compiling regex-automata v0.3.3
   Compiling tracing v0.1.37
   Compiling tinyvec_macros v0.1.1
   Compiling tinyvec v1.6.0
   Compiling proc-macro-crate v1.3.1
   Compiling flate2 v1.0.26
   Compiling regex v1.9.1
   Compiling zvariant_utils v1.0.1
   Compiling rand_core v0.6.4
   Compiling alloc-no-stdlib v2.0.4
   Compiling ppv-lite86 v0.2.17
   Compiling zstd-safe v6.0.5+zstd.1.5.4
   Compiling rustls v0.21.1
   Compiling httpdate v1.0.2
   Compiling local-waker v0.1.3
   Compiling rand_chacha v0.3.1
   Compiling alloc-stdlib v0.2.2
   Compiling is-terminal v0.4.7
   Compiling nix v0.26.2
   Compiling tokio-util v0.7.8
   Compiling unicode-normalization v0.1.22
   Compiling h2 v0.3.19
   Compiling rustls-webpki v0.100.1
   Compiling sct v0.7.0
   Compiling enumflags2_derive v0.7.7
   Compiling form_urlencoded v1.1.0
   Compiling memoffset v0.6.5
   Compiling utf8parse v0.2.1
   Compiling rustversion v1.0.12
   Compiling try-lock v0.2.4
   Compiling serde_json v1.0.102
   Compiling async-trait v0.1.71
   Compiling base64 v0.21.2
   Compiling heck v0.4.1
   Compiling unicode-bidi v0.3.13
   Compiling time-core v0.1.1
   Compiling ryu v1.0.13
   Compiling time-macros v0.2.9
   Compiling idna v0.3.0
   Compiling want v0.3.0
   Compiling anstyle-parse v0.2.0
   Compiling enumflags2 v0.7.7
   Compiling actix-service v2.0.2
   Compiling actix-rt v2.8.0
   Compiling rand v0.8.5
   Compiling brotli-decompressor v2.3.4
   Compiling bytestring v1.3.0
   Compiling actix-utils v3.0.1
   Compiling zvariant_derive v3.15.0
   Compiling sha1 v0.10.5
   Compiling fdeflate v0.3.0
   Compiling http-body v0.4.5
   Compiling ahash v0.7.6
   Compiling cookie v0.16.2
   Compiling encoding_rs v0.8.32
   Compiling anstyle v1.0.0
   Compiling tower-service v0.3.2
   Compiling anstyle-query v1.0.0
   Compiling byteorder v1.4.3
   Compiling mime v0.3.17
   Compiling convert_case v0.4.0
   Compiling minimal-lexical v0.2.1
   Compiling colorchoice v1.0.0
   Compiling derive_more v0.99.17
   Compiling anstream v0.3.2
   Compiling nom v7.1.3
   Compiling actix-router v0.5.1
   Compiling zvariant v3.15.0
   Compiling hyper v0.14.26
   Compiling time v0.3.21
   Compiling png v0.17.8
   Compiling tokio-rustls v0.24.0
   Compiling brotli v3.3.4
   Compiling url v2.3.1
   Compiling serde_urlencoded v0.7.1
   Compiling uuid v1.4.0
   Compiling actix-codec v0.5.1
   Compiling local-channel v0.1.3
   Compiling futures-executor v0.3.28
   Compiling hashbrown v0.13.2
   Compiling webpki v0.22.0
   Compiling miette-derive v5.9.0
   Compiling async-recursion v1.0.4
   Compiling sha2 v0.10.7
   Compiling hmac v0.12.1
   Compiling time v0.1.45
   Compiling clap_lex v0.5.0
   Compiling unicode-xid v0.2.4
   Compiling arrayref v0.3.7
   Compiling iana-time-zone v0.1.56
   Compiling strsim v0.10.0
   Compiling signal-hook v0.3.16
   Compiling bytemuck v1.13.1
   Compiling language-tags v0.3.2
   Compiling csscolorparser v0.6.2
   Compiling ttf-parser v0.15.2
   Compiling strict-num v0.1.0
   Compiling event-listener v2.5.3
   Compiling unicode-width v0.1.10
   Compiling anyhow v1.0.71
   Compiling async-broadcast v0.5.1
   Compiling tiny-skia-path v0.11.1
   Compiling miette v5.9.0
   Compiling colorgrad v0.6.2
   Compiling fontdue v0.7.3
   Compiling clap_builder v4.3.12
   Compiling chrono v0.4.26
   Compiling const_format_proc_macros v0.2.31
   Compiling libsystemd v0.6.0
   Compiling webpki-roots v0.22.6
   Compiling futures v0.3.28
   Compiling hyper-rustls v0.24.0
   Compiling strum_macros v0.24.3
   Compiling nix v0.23.2
   Compiling zbus_names v2.6.0
   Compiling actix-web-codegen v4.2.0
   Compiling actix-server v2.2.0
   Compiling clap_derive v4.3.12
   Compiling rustls-pemfile v1.0.2
   Compiling xdg-home v1.0.0
   Compiling fast_image_resize v2.7.3
   Compiling zbus_macros v3.14.1
   Compiling derivative v2.2.0
   Compiling actix-macros v0.2.3
   Compiling serde_repr v0.1.12
   Compiling ordered-stream v0.2.0
   Compiling hex v0.4.3
   Compiling glob v0.3.1
   Compiling termcolor v1.2.0
   Compiling ipnet v2.7.2
   Compiling humantime v2.1.0
   Compiling arrayvec v0.7.2
   Compiling color_quant v1.1.0
   Compiling tiny-skia v0.11.1
   Compiling ril v0.9.0
   Compiling env_logger v0.10.0
   Compiling reqwest v0.11.18
   Compiling zbus v3.14.1
   Compiling psutil v3.2.2
   Compiling clap v4.3.12
   Compiling strum v0.24.1
   Compiling const_format v0.2.31
   Compiling clokwerk v0.4.0
   Compiling systemd-journal-logger v1.0.0
   Compiling tokio-graceful-shutdown v0.12.1
   Compiling yata v0.6.1
   Compiling sysinfo v0.29.4
   Compiling nu-glob v0.80.0
   Compiling lazy_static v1.4.0
   Compiling zstd v0.12.3+zstd.1.5.2
   Compiling actix-http v3.3.1
   Compiling actix-web v4.3.1
   Compiling coolercontrold v0.17.0 (/home/fred/.cache/yay/coolercontrol/src/coolercontrol-0.17.0/coolercontrold)
    Finished release [optimized] target(s) in 3m 33s
==> Starting check()...
packaging/metadata/org.coolercontrol.CoolerControl.metainfo.xml: OK
Traceback (most recent call last):
  File "<frozen runpy>", line 198, in _run_module_as_main
  File "<frozen runpy>", line 88, in _run_code
  File "/home/fred/.cache/yay/coolercontrol/src/coolercontrol-0.17.0/coolercontrol-gui/coolercontrol/__main__.py", line 18, in <module>
    from coolercontrol.coolercontrol import main
  File "/home/fred/.cache/yay/coolercontrol/src/coolercontrol-0.17.0/coolercontrol-gui/coolercontrol/coolercontrol.py", line 40, in <module>
    from coolercontrol.services.dynamic_buttons import DynamicButtons
  File "/home/fred/.cache/yay/coolercontrol/src/coolercontrol-0.17.0/coolercontrol-gui/coolercontrol/services/dynamic_buttons.py", line 27, in <module>
    from coolercontrol.models.device import Device, DeviceType
  File "/home/fred/.cache/yay/coolercontrol/src/coolercontrol-0.17.0/coolercontrol-gui/coolercontrol/models/device.py", line 23, in <module>
    from coolercontrol.models.status import Status
  File "/home/fred/.cache/yay/coolercontrol/src/coolercontrol-0.17.0/coolercontrol-gui/coolercontrol/models/status.py", line 22, in <module>
    from dataclass_wizard import LoadMixin, JSONWizard
ModuleNotFoundError: No module named 'dataclass_wizard'
==> ERROR: A failure occurred in check().
    Aborting...
 -> error making: coolercontrol-exit status 4
 -> Failed to install the following packages. Manual intervention is required:
coolercontrol - exit status 4

Moderator edit: In the future, please use proper formatting: [HowTo] Post command output and file content as formatted text

I have tried installing it with
yay -S dataclass _wizard (and dataclass-wizard) - no package found
“python3 -mpip install --user dataclass-wizard”
Message

This environment is externally managed
╰─> To install Python packages system-wide, try 'pacman -S
    python-xyz', where xyz is the package you are trying to
    install.
    
    If you wish to install a non-Arch-packaged Python package,
    create a virtual environment using 'python -m venv path/to/venv'.
    Then use path/to/venv/bin/python and path/to/venv/bin/pip.
    
    If you wish to install a non-Arch packaged Python application,
    it may be easiest to use 'pipx install xyz', which will manage a
    virtual environment for you. Make sure you have python-pipx
    installed via pacman.

sudo pacman -S python-dataclass-wizard - target not found (when I typed python the rest of the name was suggested by the Konsole)


Moderator edit: In the future, please use proper formatting: [HowTo] Post command output and file content as formatted text

What? Please don’t invent nonsensical abbreviations.

No, that’s obviously not what command you used.

Please see:

Please note I’ve fixed the formatting for you this time…

Are you sure? :wink:

❯ yay -Ss dataclass-wizard
aur/python-dataclass-wizard 0.22.2-2 (+1 0.75) 
    This library provides a set of simple, yet elegant wizarding tools for interacting with the Python dataclasses module.

Possibly python-dataclass-wizard should be added to the checkdepends() array in the coolercontrol PKGBUILD. I have not checked.

This should be reported to the AUR maintainer.

EDIT: python-dataclass-wizard is already a dependency.

I copied the command and the message from the console so yea I am sure.

yay -Ss dataclass-wizard shows that the package is already installed but why do I get the error while installing coolercontrol then?


Moderator edit: Fixed formatting

I don’t know why you get the error. If I have time, I may investigate further. In the meantime, please don’t ignore the links I posted above. Being sloppy and not reading anything before posting does not help us help you.

FYI, this topic does indeed belong in the AUR category for obvious reasons. No, you are not allowed to move it to Software & Applications.

sorry I did not mention that you put it into aur, I thought I forgot to fill in that part and AUR was there just by accident.

And I read the links, I just didnt understand a thing…, of the formatting part anyways. But after reading it again I got why the three backticks where there after copying the console messages.

To be clear, you originally posted in Support, but another Moderator moved it to AUR. I noticed you moved it from AUR to Software & Applications. That does not apply, so I moved it back and disabled your ability to move it again.

What didn’t you understand? What can I help you clarify?

Suddenly I saw the menu with formatting options above the text which I did not mention before so no more help needed (I hope).

Meawhile, back on the original topic of trouble installing coolercontrol

My guess is you’re mixing local Python packages with system Python packages.

Please see:

I barely have stuff installed on Manj and have not knowingly been mixing Phython packages. All I did was installing most programs via yay. That was one reason I preferred Manj until the flickering started and coolercontrol stopped working. (My watercooler runs more silently with that program.)

Tbh. I dont even get the difference between local and system packages respectively how to install which ones.

Since I have the needed package, how would I actively install the python package where coolercontrol needs it to be?

I just wish I could just uninstall/reinstall coolercontrol for it to work but no such luck.

Please stop saying that. There’s no such thing.

Good thing I linked a tutorial, then, eh? :wink:

Well the downside of rtfm is that they are not really helping if one doesnt understand half of what’s it saying. One reason I waited 20 years to try Linux again.

No clue why the quote wont be displayed properly tbh. (In case you would like to bring up the formating again.)


Moderator edit: The closing quote tag must go under the last line of the quote. :wink:

enable the aur at the graphical packet-manager and install it from there, it’s already in pamac and there is no reason to use ancient yay-method from 20 years ago !

1 Like

Well it was there (v1.14something) but after uninstalling it the packet-manager does not find it again.

Btw. I dont know what “enable the aur” means or howto do it.

use the three lines (the “hamburger”-icon) left of the minimize-icon, open the settings and enable the option to install aur-packages. you just disabled this for whatever reason that none of us is responsible. after enabling search again and you’ll find it !

1 Like

This post was flagged by the community and is temporarily hidden.

Oh under “third party”!

Thanks!

Just fyi:
I never even saw that option before (never even been in this menu) let alone disabled it. I dont disable what I dont know.

Well that would have been too easy I guess. No dice. Installed, no (visible) errors, it is still not running.

I have also tried this before running it:
sudo systemctl enable coolercontrold.service
sudo systemctl start coolercontrold.service

post the output of

systemctl status coolercontrold.service
1 Like

Odd, this says it is running, no icon in the taskmanager, no coolercontrol to be found in the system manager under processes or applicationsthough.

coolercontrold.service - Cooler Control Daemon
     Loaded: loaded (/usr/lib/systemd/system/coolercontrold.service; enabled; preset: disabled)
     Active: active (running) since Thu 2023-09-07 19:54:43 CEST; 7min ago
   Main PID: 547 (coolercontrold)
      Tasks: 16 (limit: 19089)
     Memory: 35.9M
        CPU: 11.338s
     CGroup: /system.slice/coolercontrold.service
             └─547 /usr/bin/coolercontrold

Sep 07 20:01:52 fred-Manj coolercontrold[547]: Applying scheduled speed setting for device: 17ce1bac6ceeeb11d>
Sep 07 20:01:52 fred-Manj coolercontrold[547]: Applying device: 17ce1bac6ceeeb11db616bc988fcb38f3a34573cbf803>
Sep 07 20:02:03 fred-Manj coolercontrold[547]: Applying scheduled speed setting for device: 17ce1bac6ceeeb11d>
Sep 07 20:02:03 fred-Manj coolercontrold[547]: Applying device: 17ce1bac6ceeeb11db616bc988fcb38f3a34573cbf803>
Sep 07 20:02:03 fred-Manj coolercontrold[547]: Applying scheduled speed setting for device: 17ce1bac6ceeeb11d>
Sep 07 20:02:03 fred-Manj coolercontrold[547]: Applying device: 17ce1bac6ceeeb11db616bc988fcb38f3a34573cbf803>
lines 1-16

okay so start

coolercontrol

from the console/terminal. what happens ? any error messages ? if so please post them

1 Like